- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | Friends | List of all members
pdftron::PDF::EPUBOutputOptions Class Reference

`#include <Convert.h>`

## Public Member Functions
| EPUBOutputOptions ()
void | SetExpanded (bool expanded)
void | SetReuseCover (bool reuse)

## Protected Attributes
TRN_Obj | m_obj
SDF::ObjSet | m_objset

## Friends
class | Convert

## Detailed Description

A class containing options common to ToEpub functions

Definition at line 2286 of file Convert.h.

## Constructor & Destructor Documentation

pdftron::PDF::EPUBOutputOptions::EPUBOutputOptions | ( |  | ) |

Creates an EPUBOutputOptions object with default settings

## Member Function Documentation

void pdftron::PDF::EPUBOutputOptions::SetExpanded | ( | bool | expanded | ) |

Create the EPUB in expanded format. Default is false.

Parameters

  expanded | if false a single EPUB file will be generated, otherwise, the generated EPUB will be in unzipped (expanded) format

void pdftron::PDF::EPUBOutputOptions::SetReuseCover | ( | bool | reuse | ) |

Set whether the first content page in the EPUB uses the cover image or not. If this is set to true, then the first content page will simply wrap the cover image in HTML. Otherwise, the page will be converted the same as all other pages in the EPUB. Default is false.

Parameters

  reuse | if true the first page will simply be EPUB cover image, otherwise, the first page will be converted the same as the other pages

## Friends And Related Function Documentation

friend class Convert
| friend

Definition at line 2309 of file Convert.h.

## Member Data Documentation

TRN_Obj pdftron::PDF::EPUBOutputOptions::m_obj
| protected

Definition at line 2308 of file Convert.h.

SDF::ObjSet pdftron::PDF::EPUBOutputOptions::m_objset
| protected

Definition at line 2310 of file Convert.h.

The documentation for this class was generated from the following file:

- PDF/Convert.h